Kwalitee Issues


Add a META.yml to the distribution. Your buildtool should be able to autogenerate it.


Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.


  • MANIFEST (31) does not match dist (30):
  • Missing in Dist: META.yml


Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: Gearman-WorkerSpawner-2.17/lib/Gearman/WorkerSpawner/ -- Around line 92: '=item' outside of any '=over' =over without closing =back Gearman-WorkerSpawner-2.17/lib/Gearman/ -- Around line 200: Expected '=item *'Around line 205: You forgot a '=back' before '=head1'Around line 825: '=item' outside of any '=over'Around line 829: You forgot a '=back' before '=head1'


Add a META.json to the distribution. Your buildtool should be able to autogenerate it.


Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.


This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.


Name Abstract Version View
Gearman::WorkerSpawner Subprocess manager for Gearman workers in a Danga::Socket environment 2.17 metacpan
Gearman::WorkerSpawner::BaseWorker Base class to simplify the process of creating a Gearman worker for use with Gearman::WorkerSpawner metacpan
Gearman::WorkerSpawner::BaseWorker::Client Gearman::Client wrapper for use with Gearman::WorkerSpawner::BaseWorker workers metacpan

Other Files

Changes metacpan
MANIFEST metacpan
Makefile.PL metacpan
README metacpan